Skip to main content
PATCH
/
v1
/
businesses
/
{businessId}
/
invoices
/
payments
/
{paymentId}
Update payment
curl --request PATCH \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/payments/{paymentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "Unique ID of the invoice payment in an external system for linking and idempotency.",
  "paid_at": "2023-11-07T05:31:56Z",
  "amount": 123,
  "fee": 123,
  "additional_fees": [
    {
      "fee_amount": 123,
      "description": "<string>",
      "account": {
        "type": "AccountId",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "is_passed_to_customer": true
    }
  ],
  "processor": "STRIPE",
  "payment_clearing_account_identifier": {
    "type": "AccountId",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "invoice_payments": [
    {
      "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "invoice_external_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": 123,
      "tags": [
        {
          "key": "department",
          "value": "sales",
          "dimension_display_name": "Department",
          "value_display_name": "Sales Department"
        }
      ],
      "memo": "<string>",
      "metadata": {
        "custom_field": "value",
        "any valid json": "below 1kb",
        "nested": {
          "meaning of life": 42,
          "array": []
        }
      },
      "reference_number": "<string>"
    }
  ],
  "dedicated_refunds": [
    {
      "external_id": "31415926535",
      "account_identifier": {
        "type": "AccountId",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "line_items": [
        {
          "amount": 123,
          "external_id": "<string>",
          "account_identifier": {
            "type": "AccountId",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "prepayment_account_identifier": {
            "type": "AccountId",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "tags": [
            {
              "key": "department",
              "value": "sales",
              "dimension_display_name": "Department",
              "value_display_name": "Sales Department"
            }
          ],
          "memo": "<string>",
          "metadata": {
            "custom_field": "value",
            "any valid json": "below 1kb",
            "nested": {
              "meaning of life": 42,
              "array": []
            }
          },
          "reference_number": "<string>"
        }
      ],
      "completed_at": "2023-11-07T05:31:56Z",
      "refund_processing_fee": 123,
      "processor": "<string>",
      "refunded_payment_fees": [
        {
          "account": {
            "type": "AccountId",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "fee_amount": 123,
          "description": "<string>"
        }
      ],
      "tags": [
        {
          "key": "department",
          "value": "sales",
          "dimension_display_name": "Department",
          "value_display_name": "Sales Department"
        }
      ],
      "memo": "<string>",
      "metadata": {
        "custom_field": "value",
        "any valid json": "below 1kb",
        "nested": {
          "meaning of life": 42,
          "array": []
        }
      },
      "reference_number": "<string>",
      "payment_clearing_account_identifier": {
        "type": "AccountId",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    }
  ],
  "tags": [
    {
      "key": "department",
      "value": "sales",
      "dimension_display_name": "Department",
      "value_display_name": "Sales Department"
    }
  ],
  "memo": "<string>",
  "metadata": {
    "custom_field": "value",
    "any valid json": "below 1kb",
    "nested": {
      "meaning of life": 42,
      "array": []
    }
  },
  "reference_number": "<string>"
}
'
{
  "data": {
    "type": "Invoice_Payment",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "payment-1",
    "at": "2023-11-07T05:31:56Z",
    "fee": 123,
    "prepayment_account": {
      "type": "AccountId",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "payment_clearing_account": {
      "type": "Single_Chart_Account",
      "id": {
        "type": "AccountId",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "name": "Current Assets",
      "account_number": "4000",
      "stable_name": {
        "type": "StableName",
        "stable_name": "CURRENT_ASSETS"
      },
      "account_type": {
        "display_name": "Asset"
      },
      "account_subtype": {
        "display_name": "Current Assets"
      }
    },
    "additional_fees": [
      {
        "fee_amount": 123,
        "description": "<string>",
        "account": {
          "type": "AccountId",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "is_passed_to_customer": true
      }
    ],
    "amount": 123,
    "processor": "STRIPE",
    "imported_at": "2023-11-07T05:31:56Z",
    "allocations": [
      {
        "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "amount": 123,
        "amount_net_of_refunds": 123,
        "transaction_tags": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "key": "ExampleTagKey",
            "value": "ExampleTagValue",
            "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "dimension_display_name": "<string>",
            "value_display_name": "<string>",
            "archived_at": "2023-11-07T05:31:56Z"
          }
        ],
        "memo": "<string>",
        "metadata": {
          "custom_field": "value",
          "any valid json": "below 1kb",
          "nested": {
            "meaning of life": 42,
            "array": []
          }
        },
        "reference_number": "<string>"
      }
    ],
    "refund_allocations": [],
    "payouts": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "external_id": "payout-1234",
        "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "paid_out_amount": 123,
        "fee": 123,
        "processor": "STRIPE",
        "payment_clearing_account": {
          "type": "Single_Chart_Account",
          "id": {
            "type": "AccountId",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "name": "Current Assets",
          "account_number": "4000",
          "stable_name": {
            "type": "StableName",
            "stable_name": "CURRENT_ASSETS"
          },
          "account_type": {
            "display_name": "Asset"
          },
          "account_subtype": {
            "display_name": "Current Assets"
          }
        },
        "imported_at": "2023-11-07T05:31:56Z",
        "completed_at": "2023-11-07T05:31:56Z",
        "match": {
          "id": "6b0a3734-f4ef-4fb0-9fc1-3f59b0c1cf99",
          "match_type": "PAYOUT",
          "bank_transaction": {
            "type": "Bank_Transaction_Data",
            "id": "a703c8d6-cfe8-453d-a275-b92eacc6fc6e",
            "business_id": "738ec216-e8e5-48f2-b7f2-cdc89c96b3d4",
            "source": "STRIPE",
            "source_transaction_id": "trxn_1sdOeLQiFAKE2LQBkcvrJw95f",
            "source_account_id": "738ec216-e154-48f2-1111-cdc89c96b3d4",
            "imported_at": "2024-03-19T22:09:53.290591Z",
            "date": "2024-03-06T06:06:40Z",
            "direction": "CREDIT",
            "amount": 87459,
            "counterparty_name": null,
            "description": "Payout (po_1OqnTHISISFAKEiTVBkCiyAERwm).",
            "account_name": "Layer Banking",
            "categorization_status": "MATCHED"
          },
          "details": {
            "type": "Payout_Match",
            "id": "d224508b-b05e-41da-89de-0fbd8a573507",
            "amount": 87459,
            "date": "2024-03-06T00:00:00Z",
            "description": "Payout from STRIPE.",
            "adjustment": null
          }
        },
        "transaction_tags": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "key": "ExampleTagKey",
            "value": "ExampleTagValue",
            "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "dimension_display_name": "<string>",
            "value_display_name": "<string>",
            "archived_at": "2023-11-07T05:31:56Z"
          }
        ],
        "memo": "<string>",
        "metadata": {
          "custom_field": "value",
          "any valid json": "below 1kb",
          "nested": {
            "meaning of life": 42,
            "array": []
          }
        },
        "reference_number": "<string>"
      }
    ],
    "transaction_tags": [],
    "memo": "<string>",
    "metadata": {
      "custom_field": "value",
      "any valid json": "below 1kb",
      "nested": {
        "meaning of life": 42,
        "array": []
      }
    },
    "reference_number": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string
required

The UUID of the business to update the invoice payment for.

paymentId
string
required

The UUID of the invoice payment to update.

Body

application/json

An object containing a subset of Payment object fields used to update an existing Payment.

external_id
string | null

An optional external identifier for the payment.

Example:

"Unique ID of the invoice payment in an external system for linking and idempotency."

paid_at
string<date-time> | null

Timestamp when the payment was completed.

amount
integer<int64> | null

Customer payment amount, in cents.

fee
integer<int64> | null

Fee paid by business for processing of payment in positive cents.

additional_fees
object[] | null

List of additional fees associated with this payment.

method
enum<string> | null

Payment method.

Available options:
CASH,
CHECK,
CREDIT_CARD,
ACH,
CREDIT_BALANCE,
OTHER
processor
string | null

Processor used to make the payment, if any. Any processor name can be provided and will be tracked.

Example:

"STRIPE"

payment_clearing_account_identifier
Account ID · object

The the ledger account to use for the payment (overrides the default determined by the payment method).

invoice_payments
(Invoice Payment Allocation · object | Ledger Account Allocation · object)[] | null

Allocations of this payment towards invoices or ledger accounts. Setting these allocations will override any existing allocations.

Allocates a portion of the payment to a specific invoice.

dedicated_refunds
object[] | null

Dedicated refunds to associate with this invoice payment.

tags
object[]
memo
string | null

Memo for any text you would like to associate with the invoice payment (for example, to display to end users).

metadata
object

Arbitrary custom metadata in JSON format with a size limit of 1KB.

Example:
{
"custom_field": "value",
"any valid json": "below 1kb",
"nested": { "meaning of life": 42, "array": [] }
}
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the invoice payment. Can be used to filter when listing invoice payments.

Response

OK.

data
object
required